#include "Module.h"

#include "Panel_GAMESS.h"
#include "Command_template.h"

namespace MM
{

class Module_GAMESS : public Module
{
    static Module_GAMESS    singleton_;
                            Module_GAMESS() ;
    void                    init ();

    void                    show_panel ();
};
Module_GAMESS  Module_GAMESS::singleton_;


//Module_GAMESS::Module_GAMESS () : Module ("GAMESS") { }
Module_GAMESS::Module_GAMESS () : Module ("Firefly") { }

void  Module_GAMESS::
init ()
{
    adopt_command (create_command (*this, &Module_GAMESS::show_panel))
//        .set_icon       ("Compute", "GAMESS.png")
        //.set_tool_tip   ("Shell for GAMESS quantum program.")
        //.set_menu       ("&Tools", "PC &GAMESS");
        .set_tool_tip   ("Shell for Firefly quantum program.")
        .set_menu       ("&Tools", "&Firefly");
}

void  Module_GAMESS::
show_panel ()
{
    Panel_GAMESS::singleton()->popup ();
}

}//MM
